corda / net.corda.core.crypto / SecureHash / SHA256

# SHA256

`class SHA256 : SecureHash`

SHA-256 is part of the SHA-2 hash function family. Generated hash is fixed size, 256-bits (32-bytes)

### Constructors

<init> | `SHA256(bytes: ByteArray)` SHA-256 is part of the SHA-2 hash function family. Generated hash is fixed size, 256-bits (32-bytes)

### Inherited Functions

hashConcat | `fun hashConcat(other: SecureHash): SHA256`
prefixChars | `fun prefixChars(prefixLen: Int = 6): String`
toString | `open fun toString(): String`